package net.knarcraft.blacksmith.manager;

/**
 * An enum representing all item types used in messages
 */
public enum ItemType {

    ENCHANTMENT("enchantment"),
    MATERIAL("material");

    private final String itemTypeName;

    /**
     * Instantiates an item type
     *
     * @param itemTypeName <p>The name shown in messages</p>
     */
    ItemType(String itemTypeName) {
        this.itemTypeName = itemTypeName;
    }

    /**
     * Gets the name of this item type
     *
     * @return <p>The name of this item type</p>
     */
    public String getItemTypeName() {
        return this.itemTypeName;
    }

}
